Sponsored By

iccaros

Linux Experts
  • Content Count

    1292
  • Joined

  • Last visited

Everything posted by iccaros

  1. iccaros

    Ubuntu Security

    yes.. it runs on windows.. and has been rated as one of the top scanners.
  2. iccaros

    Firestarter On Startup

    is it in /etc/rcS.d ? somethings like S19firestarter
  3. iccaros

    Firestarter On Startup

    hmm, that could be the problem. the system does not start things in /etc/inint.d it runs scripts in the /etc/rc.d/ folder depending on startup level RC3 is normaly network for Linux so it would be /etc/rc.d/rc3.d also your script Should start with a "S" to signify startup as "K" is shutdown and a number to show boot order example S29FireStarter would execute at startup after script < 28 when firestarter what installed it should have put in a boot script and then you softlink it to /etc/init.d note ubuntu and debian use /etc/rcS.d/ as its initiation folder so you may be stepping on the startscript.. here is the start script for fedora #!/bin/sh # # Init file for the Firestarter firewall # # chkconfig: 2345 11 92 # # description: Starts, stops, and lock the firewall # # Script Authors: # Tomas Junnonen <[email protected]> # Paul Drain <[email protected]> # # config: /etc/firestarter/configuration # Source function library. . /etc/init.d/functions # Source networking configuration . /etc/sysconfig/network # Check that networking is up. [ ${NETWORKING} = "no" ] && exit 0 FS_CONTROL="/etc/firestarter/firestarter.sh" [ -x $FS_CONTROL ] || exit 0 [ -s /etc/firestarter/configuration ] || exit 0 RETVAL=0 start() { echo -n "Starting the Firestarter firewall: " $FS_CONTROL start > /dev/null RETVAL=$? if [ $RETVAL -eq 0 ]; then success else failure fi echo return $RETVAL } stop() { echo -n "Stopping the Firestarter firewall:" $FS_CONTROL stop > /dev/null RETVAL=$? if [ $RETVAL -eq 0 ]; then success else failure fi echo return $RETVAL } lock() { echo -n "Locking the Firestarter firewall:" $FS_CONTROL lock > /dev/null RETVAL=$? if [ $RETVAL -eq 0 ]; then success else failure fi echo return $RETVAL } # See how we were called. case "$1" in start) start RETVAL=$? ;; stop) stop RETVAL=$? ;; restart) stop start RETVAL=$? ;; lock) lock RETVAL=$? ;; status) if [ -e /var/lock/subsys/firestarter -o -e /var/lock/firestarter ]; then echo "Firestarter is running..." else echo "Firestarter is stopped" fi RETVAL=$? ;; *) echo "Usage: firestarter {start|stop|restart|lock|status}" exit 1 esac exit $RETVAL here is the debian/ubuntu start script #!/bin/sh # # Init file for the Firestarter firewall # # chkconfig: 2345 11 92 # # description: Starts, stops, and lock the firewall # # Script Authors: # Tomas Junnonen <[email protected]> # Paul Drain <[email protected]> # # config: /etc/firestarter/configuration FS_CONTROL="/etc/firestarter/firestarter.sh" [ -x /usr/sbin/firestarter ] || exit 0 [ -x $FS_CONTROL ] || exit 0 [ -s /etc/firestarter/configuration ] || exit 0 RETVAL=0 start() { echo -n "Starting the Firestarter firewall: " $FS_CONTROL start > /dev/null RETVAL=$? if [ $RETVAL -eq 0 ]; then echo done. else echo failed. fi return $RETVAL } stop() { echo -n "Stopping the Firestarter firewall:" $FS_CONTROL stop > /dev/null RETVAL=$? if [ $RETVAL -eq 0 ]; then echo done. else echo failed. fi return $RETVAL } lock() { echo -n "Locking the Firestarter firewall:" $FS_CONTROL lock > /dev/null RETVAL=$? if [ $RETVAL -eq 0 ]; then echo done. else echo failed. fi return $RETVAL } # See how we were called. case "$1" in start) start RETVAL=$? ;; stop) stop RETVAL=$? ;; restart) stop start RETVAL=$? ;; force-reload) stop start RETVAL=$? ;; lock) lock RETVAL=$? ;; status) if [ -e /var/lock/subsys/firestarter -o -e /var/lock/firestarter ]; then echo "Firestarter is running..." else echo "Firestarter is stopped" fi RETVAL=$? ;; *) echo "Usage: firestarter {start|stop|restart|force-reload|lock|status}" exit 1 esac exit $RETVAL
  4. iccaros

    Firestarter On Startup

    try this command when it looks like it is not running udo /etc/init.d/firestarter status
  5. iccaros

    Install Linux From Windows

    I see the downside of this.. Since it installs as a file not a partition, Which sorry to say, used to be Computers 101 if your windows partition fails you loose windows and Linux, also it will be slower than a partition as you are using a file that the OS handles writes and not a partition the Drive handles. your file can become fragmented making it much slower, while a Linux partition using modern File systems do not fragment as much as NTFS and even if it did the entire partition would not fragment unlike the file.
  6. iccaros

    Firestarter On Startup

    ps -ef as root or just see of firestarter is running ps -ef | grep firestarter top will also show you processes, but if firestarter is not in the top 10 - 15 you may not see it.
  7. iccaros

    Dsl

    can't you from DSL open a terminal type sudo su (no password that I remember) then type cfdisk /dev/hd? (insert your harddrive, most likely a) then create a boot partition and a swap partition make sure to mark the boot partition as bootable use the write command to save then: mkfs.ext2 /dev/hda0 mkswap /dev/hda1 swapon /dev/hda1
  8. iccaros

    Dsl

    Marty remember, each Linux distribution has its reason Slackware is easy once you know it, see the wording, once you know it. but its not for everyone and not meant to be. ubuntu is meant to be for people who do not understand Linux they were created with two different users in mind.. one for tech people other for users. here is a whole list of live cd http://www.frozentech.com/content/livecd.php by the way to format a drive you can use cfdisk to create partitions then mkfs.ext2 /dev/hd? for the formatting.. or try http://qtparted.sourceforge.net/
  9. iccaros

    Beryl

    I think you must specify gl playback in your video player. mplayer seams to work with mine while VLC does not.. it is beta though
  10. sounds like it is working 100% to me, there is no such thing as 100% OCR and all OCR software produces errors. you should be able to fix the errors, or better yet some software will save as PDF
  11. iccaros

    Bad Parallels Experience......

    I am confused, it was not until version 3.0 that they supported booting from a boot camp partition, also since there is no traditional BIOS on a Mac Book, boot camp replaces the traditional boot.ini and parallels just adds lines to it, so why could you not use a text editor, booting from a xp cd to edit the boot.ini? and why is it paralles falut that 2.0 did not do something it was not meant to do? also the errors you are reporting look a lot like the error people get on vmware when they try to boot windows that was installed on a real partition, and then try to boot in a VM. Windows self destructs for some reason, and a lot of work is needed so windows does not now the difference.
  12. iccaros

    Mac Pro And Xp

    one word Parallels, unless they are playing high end games on windows, Parallels will let them run Windows and OS X at the same time, and if they use boot camp and need more windows power, they can fully boot the windows partition they use in parallels http://www.parallels.com/en/products/deskt...CFRTpYAodjDnv-w plus you get a windows virus.. no problem just start a saved session.. easy
  13. iccaros

    How To Create A Fixed Length String In C# Mono

    thanks, stringbuild does infact shorten the string to the actual length when the ToString() method is used.. I did it this way string FixedLength(string value) { if (string.lenght > 31) { string = string.substring(0,31); string += "\zero"; } else ( string = value; string += value.PadRight(31) + "\zero"; } return string } EDIt: Replace the word zero with the number 0, the BB keeps removing my 0 ..
  14. ok I need to create a fixed length string that is 31 char and a null this is what I am trying StringBuilder sb = new StringBuilder(name,31); this.Name = sb.ToString(); Ideals or suiggestions.. how is this done in c++
  15. I am processing audio, and sending it over TCP/IP and the people reciving teh package would like to do it this way to make packets smaller. in c (or C++ ) I found an example of short float32to16(float f) { short s_val; short *s=&s_val; *s = (* ((int *)&f) >> 16); return *s; } so would I create a byte array of a fixed size, convert the float to a byte array and then put them in the first array and then put it out as short? or would this do the same short truncate(float f) { short output = Convert.ToSByte(f); return output; }
  16. Ah. That's annoying. Indeed it does. If you know that code works, you can just use it in C# in an unsafe block (with one extra cast). If you'd rather use BitConverter (it does seem more .NETy), you want the last two bytes of the array returned by GetBytes(). Perhaps BitConverter.ToInt16(BitConverter.GetBytes(f), 2); are the last two bytes the most significant, I thought they were the lest, or does that return the first two bytes.
  17. iccaros

    Network Windows W/ Linux?

    for SAMBA you have to configure your SMB.conf file to create shares, this site gives basics http://www.samba.org/samba/docs/man/Samba-...l.html#id318178 tools needed a text editor root password. this may help For this example, we'll say you are using /home/shares. As root: mkdir -m 751 /home/shares mkdir -m 2770 /home/shares/accounting chgrp accounting /home/shares/accounting And now add your share to /etc/samba/smb.conf: ~[Accounting] comment = for the accouting group path = /home/shares/accouting browseable = yes guest ok = yes valid users = @accounting writeable = yes write list = @accounting create mask = 771 directory mask = 770 map hidden = yes map archive = yes map system = yes available = yes Notes: * browseable = no tells Samba that this share will not be visable in the Network Neighborhood. Change this to yes if you want this share visible. * map hidden = yes, map archive = yes, and map system = yes tell Samba to respectively honor these Windows file attributes. Now make the share available: As root: service smb reload my suggestion is to read this over, and then see what questions you have. SAMBA can be tricky, and the GUI tool mostly are bad.
  18. Convert.ToSByte() returns a signed byte based on the value of the argument, so no. Do you really need 16-bit floats? Would, say, a 16-bit fixed-point (e.g., eight bit whole part, eight bit fraction, no exponent) type be adequate? And if you do need floats, do you really want want truncated IEEE singles? And is there any reason to roll your own compression instead of using one of the bazillion free audio codecs? I am not really trying to create my own, the Navy does this with Time series data (Sonar), and I was given the C code above as an example , but I do not under stand it, it looks like it returns the first 16 most significant bits of a float as a signed short. I guess that when audio is recorded from an hydrophone it is doen at 32 bits and put in to a byte array looking like this.. 00100111011100101010001111110111, and to save broad cast(using HF so very limited bandwidth) space they chop off the last 16 bits and add them back with zeros for play back. so that is what I really need to do, I could change the whole number to a byte array and then fill a 16 bit array with the firt 16 bits and ignore the rest do something like byte[] truncate (float f) { byte[] output = new byte[16]; byte[] temp = BitConverter.GetBytes( f ); for (int x = 0; x < 16; x++) { output[x] = temp[x]; } return output; } In real life this will already be done for me by real equipment and I just add zeros, but for testing I will not have real data and I need to make sure I can create data that will look as close as I can. Does this sound like it would do the same as the C++ example, or am I way off? Thanks..
  19. iccaros

    How To Download A .tar File?

    just save it, the second option, Archive Manager should have opened it, but if if fails you have to start over.
  20. iccaros

    Running Redhat, How To Find Out What's My Hard Drive

    which version of red hat? but in most cases the command lshal will get you all the informaiton you may need on your devices, you will have to look through it lshal -s (gives the short name only.. look for something like storage_serial_SATA_WDC_WD1600BEVS__WD_WXE207407016 mine is a western digital WD1600BEVS drive with serial number WD_WXE207407016 or you can use gparted and go to view check show device information. if gparted is not installed its in yum so the command yum install gparted wil install it, you need to be root to run these commands.
  21. its nice that it is there, but its not so useful unless they add options like makeing backups of HDDVD or something, the only other ting this is good for are people who coem from windows and lies nero, they can have the same tool until they learn K3B or something else.
  22. iccaros

    Dell's Upcoming Linux Offering

    Wow Dell is expensive, while the base line model looks good I priced out at $1,858 for the following # 1505N Date 5/25/2007 10:29:03 AM Central Standard Time Catalog Number 29 Retail 19 Catalog Number / Description Product Code SKU Id Inspiron E1505: Intel® Core™ 2 Duo processor T7200 (4MB Cache/2.00GHz/667MHz FSB) KLM2HN [223-0455] 1 Operating System: Ubuntu Edition version 7.04 LINXUX [420-7153] 11 LCD Panel: 15.4 inch UltraSharp™ Wide Screen SXGA+ Display with TrueLife™ 15SXGAS [320-4652] 2 Memory: 2GB DDR2 SDRAM at 667MHZ, 2 DIMM 2G2D6 [311-7357] 3 Hard Drive: 100GB 7200rpm SATA Hard Drive 100GB72 [341-3112] 8 CD ROM/DVD ROM: 8X CD/DVD Burner (DVD+/-RW) with double-layer DVD+R write capability 8XLDVDR [313-3959] 16 Video Card: Intel® Graphics Media Accelerator 950 INTLVID [320-5630] 6 Sound Options: Integrated Audio IS [313-4217] 17 Processor Branding: Intel Centrino Core Duo Processor ICNDNB [310-8314] 749 Primary Battery: 85 WHr 9-cell Lithium Ion Primary Battery 9BAT [312-0403] 27 Additional Power Adapter: Dell Additional Slim 65W Auto/Air/AC Adapter ASAAADT [310-8940] 57 Wireless Networking Cards: Intel PRO/Wireless 3945a/g IP3945 [430-1918] 19 Warranty and Service: 3Yr In-Home Service, Parts + Labor - Next Day SQ3OS [412-0359][950-3339][950-5442][960-2780][960-5952][980-2890][985-3598][985-3609] 29 Protect Against Accidents: Add CompleteCare Accidental Damage Service to 3Yr Lim Warranty CCADP3 [412-0358][960-9188] 33 Environmental Options: Recycling Kit and Plant a Tree for Me RCLTREE [310-5408][466-1830] 129 [\code] to compare $1,800 for an equally equiped Macbook (smaller screen on the macbook, but i like the smaller screen for Airline Travel. ) I only say expensive because the Dell is really cheaply made. I have a Dell laptop D620 and a Macbook and the difference is night and day on quality. plus the Macbook comes with everything I had to add to the dell except the Ram size and the extended Warranty. Plus with the Macbook you can run OS X, Linux and Windows with the dell its just linux and windows.. macbook specs [code] # 2.16GHz Intel Core 2 Duo # 2GB 667 DDR2 SDRAM - 2x1GB # 120GB Serial ATA @ 5400 rpm # SuperDrive 8x (DVD+R DL/DVD±RW/CD-RW) # Apple Mini-DVI to DVI Adapter # Keyboard/Mac OS - U.S. English # MagSafe Airline Adapter # AppleCare Protection Plan for MacBook/iBook - Auto-enroll # AirPort Extreme Card & Bluetooth while I thank Dell for the offer, I don't think price wise they truly compete. advantages to the dell faster harddrive larger screen shows a market for Linux Cons have to add lots of extras to get a decent sytems no bluetooth larger screen apple pros the default configuration is decent, same cost to add just ram and Warranty better quality hardware (subjective) smaller screen runs all three major OS (since OS X is already a BSD branch off, I did not add BSD separately) bluetooth cons slower hardrive smaller screen
  23. iccaros

    Dell's Upcoming Linux Offering

    Marketing Crap, Linux already has standards that the Major Distributions hold to, the LSB http://en.wikipedia.org/wiki/Linux_Standard_Base, fails because it says all Distribution will be able to use RPM's, but being able to use RPM's and being able to install complex applications with RPM's is totally different. take Gentoo, Slackware and Debian. None are Commercial releases and none can truly meet this standard with out destroying what makes these distributions great. While Alien will let you install RPM's on Debian and you can install RPM's on Gentoo and Slackware, they use different init scripts and locations. Meaning that once installed the user would have to copy files over to different places to run correctly. The only real way is to Document the install process so that developers of these system scan wrap the installer. Btu software Companies do not want to do this. Gentoo is setup to install from source Debian does a tight control of packages and what it installs and where to help protect the system and Slackware just uses a tar system to untar the files. and this still leaves out BSD, which is not helpful for most of us. no Linux as a "Standard" is not something you really want. what we really want is for software developers to stick to ISO and POSIX standards, to use OPENGL instead of Direct X and to pick one distribution and document how the software installs, so the other distributions can wrap the installer. or better yet, Codeweavers were able to create an installer that works on all *nix machines, so its not that hard. what the LSB is really trying to do, is put the Linux development in the hands of Companies, and out of the hands of Open Source developers.
  24. iccaros

    Dell's Upcoming Linux Offering

    who make it more standardized? or do you standard across distributions.. which will never happen, too many opinions. Windows its own standard(they even rebelled against ISO standards), Linux in most cases follows the RFC's and other international standards. The biggest Issue is hardware, in that case it with hardware that does not follow the standards. or there is no standard. I know people do not care when its the Hardware and not the OS, but we can vote with our money. I only buy hardware if they support Open Source or at least have a driver. This is hurting me in my recording studio as I believe that MOTU is the best Money can buy for audio cards, but they refuse to support Linux, even though I use a Mac for the studio, I still will not buy their equipment. It's only this stand, that will get companies to do the right thing. a note for companies, if you release your driver to the Kernel team, they will keep it up to date with the Kernel, you just need to submit changes on what changed on different versions of the hardware. and don't use Binary blobs so others like BSD (insert Version or OS here) can easily, take the driver and create their own driver, with out it costing you a dime. also you only have to support one version of Linux if you release source code. Like pick Red Hat or SUSE or Ubuntu and release the source, the rest will compile the source on their own.
  25. iccaros

    Ubuntu Freezing

    dmesg is teh command to show you deamon messaging (or your error log) you could post the output of the command lspci and then post the file under /etc/X11/xorg.config to run commands like lspci and dmesg open a terminal and type sudo dmesg >> /home/<yourusername>/Desktop/dmesgOutputFile.txt or sudo lspci >> /home/<yourusername>/Desktop/LSPCIOutputFile.txt both should ask for a password as you will be running them as root, I am not sure if root is needed on ubuntu to run those commands fully, it is on my boxes.